Bug 540919 - Fatal error in "IA__gdk_cairo_set_source_pixbuf" in /usr/bin/gnochm
Summary: Fatal error in "IA__gdk_cairo_set_source_pixbuf" in /usr/bin/gnochm
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnochm
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:273c8d20c537107a3925037342c...
: 550115 557013 592640 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-24 14:17 UTC by Konstantin Ryabitsev
Modified: 2010-12-04 02:51 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-04 02:51:21 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (20.04 KB, text/plain)
2009-11-24 14:17 UTC, Konstantin Ryabitsev
no flags Details

Description Konstantin Ryabitsev 2009-11-24 14:17:12 UTC
abrt detected a crash.

Comment: Trying to read a book using gnochm.
Attached file: backtrace
cmdline: /usr/bin/python /usr/bin/gnochm
component: python
executable: /usr/bin/python
kernel: 2.6.31.5-127.fc12.x86_64
package: python-2.6.2-2.fc12
rating: 4
reason: Process was terminated by signal 11

Comment 1 Konstantin Ryabitsev 2009-11-24 14:17:15 UTC
Created attachment 373427 [details]
File: backtrace

Comment 2 Dave Malcolm 2009-12-01 03:04:37 UTC
Thank you for reporting this bug.

How reproducable is this problem?  If you run the program from a terminal, is an error message printed?

What version of gnochm do you have installed?

Looking at the backtrace, it looks like the problem occurred in the program's single thread in IA__gdk_cairo_set_source_pixbuf

Reassigning component from "python" to "gnochm"

Comment 3 Haïkel Guémar 2009-12-04 18:29:53 UTC
i'm not sure this is a gnochm bug too, it's likely an issue with gdk_cairo_set_source_pixbuf which notably affects eog and evince.
https://bugzilla.gnome.org/buglist.cgi?quicksearch=gdk_cairo_set_source_pixbuf
(from this list, i can confirm that tickets #572061 #598713 also concerns Fedora 12)

Comment 4 Haïkel Guémar 2009-12-23 17:35:04 UTC
*** Bug 550115 has been marked as a duplicate of this bug. ***

Comment 5 Dave Malcolm 2010-01-11 21:58:04 UTC
See also https://bugzilla.redhat.com/show_bug.cgi?id=552417#c3

Comment 6 Haïkel Guémar 2010-01-30 11:45:20 UTC
*** Bug 557013 has been marked as a duplicate of this bug. ***

Comment 7 Francisco 2010-03-14 00:14:37 UTC

How to reproduce
-----
1.download i-gotU_Suite.zip from http://global.mobileaction.com/download/i-gotU_download.jsp#Manual
2.unzip it and launch gnochm on the user manual
3.click to expand the treeview on the left panel


Comment
-----
I'm trying to read a user manual in .chm format with gnochm.
It crash when I try to expand the index tree of the panel.
Easily reproductible, the .chm file can be downloaded from the manufacturer site.

Comment 8 ndn 2010-04-05 15:48:55 UTC

How to reproduce
-----
1.I've opened link from leftside contents menu
2.
3.

Comment 9 Karel Klíč 2010-05-25 10:42:09 UTC
*** Bug 592640 has been marked as a duplicate of this bug. ***

Comment 10 Bug Zapper 2010-11-04 05:30:25 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Bug Zapper 2010-12-04 02:51:21 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.